Package: groovy.transform.stc

## [Java] Class SecondParam

- groovy.transform.stc.SecondParam

- A hint used to instruct the type checker to pick the second parameter type. For example:

  `public <T,U> def doWith(T first, U second, @ClosureParams(SecondParam.class) Closure c) { c.call(src); }`

  This class has several inner classes that also helps picking generic argument types instead of the parameter type.

  Authors:
    Cédric Champeau
  Since:
    2.3.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `SecondParam.Component` |
    `static class` | `SecondParam.FirstGenericType` |
    `static class` | `SecondParam.SecondGenericType` |
    `static class` | `SecondParam.ThirdGenericType` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SecondParam ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class PickAnyArgumentHint` | `getParameterTypes`
    `class SingleSignatureClosureHint` | `getClosureSignatures, getParameterTypes`
    `class ClosureSignatureHint` | `findClassNode, getClosureSignatures, pickGenericType, pickGenericType`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public SecondParam()